// Lock the loading screen.
var lockId = LoadScreen.lock();

const useDiagrams = true;
const useEditor = true;


var importFiles = ['https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js'];
var importStyle = ["https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/themes/smoothness/jquery-ui.css"]
if(useDiagrams)
	importFiles.push('https://www.gstatic.com/charts/loader.js');
if(useEditor){
	importFiles.push('https://cdn.jsdelivr.net/npm/quill@2.0.0-rc.3/dist/quill.js');
	importStyle.push('https://cdn.jsdelivr.net/npm/quill@2.0.0-rc.3/dist/quill.snow.css');
}

// Import jQuery UI.
var jUIPromise = importScripts(importFiles)
	.then(function () {
		// Unlock the load screen.
		LoadScreen.unlock(lockId);
	})
	.catch(function (err) {
		// There was an error loading the script, log it to the console.
		console.error(err);

		// Unlock the load screen.
		LoadScreen.unlock(lockId);
	});


importStyles(importStyle)
